Change a database's views
View as Markdown/v1/databases/{databaseId}/views/changeAdds, changes and removes views in one step. config is merged into the view's config (filter, sorts, groupBy, columns, …); see get_database for the current values.
curl -X POST "https://api.lydie.co/v1/databases/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/views/change" \
-H "Authorization: Bearer $LYDIE_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Path parameters
Body
- addobject[]
Default
[]Show 3 fieldsHide fields
One of
tableboardlistcalendargallery- configViewConfigPatchInput
Show 9 fieldsHide fields
- sortsobject[]
Show 2 fieldsHide fields
- directionstring
One of
ascdescDefault
"asc"
Show 6 fieldsHide fields
- directionstring
One of
ascdescDefault
"asc" - orderstring[]
- hideEmptyboolean
Hide groups with no rows (board columns).
- dateBucketstring
Date grouping; default month.
One of
dayweekmonthyear - collapsedstring[]
Board swimlanes.
Show 6 fieldsHide fields
- directionstring
One of
ascdescDefault
"asc" - orderstring[]
- hideEmptyboolean
Hide groups with no rows (board columns).
- dateBucketstring
Date grouping; default month.
One of
dayweekmonthyear - collapsedstring[]
- columnsViewColumnInput[]
Show 3 fieldsHide fields
- visibleboolean
Default
true
- summariesobject
propertyId → summary name
- layoutViewLayoutInput
Show 11 fieldsHide fields
- rowHeightstring
table
One of
shortmediumtallextra - wrapCellsboolean
table
board, gallery: px
board, gallery: the card image
- coverFitstring
One of
covercontain - markersstring
list
One of
bulletnumbernone calendar: the date property placing rows
- calendarModestring
One of
monthweek - showWeekendsboolean
- colorColumnsboolean
board
- extraobject
- updateobject[]
Default
[]Show 4 fieldsHide fields
A view's id or name (case-insensitive).
- typestring
One of
tableboardlistcalendargallery - configViewConfigPatchInput
Show 9 fieldsHide fields
- sortsobject[]
Show 2 fieldsHide fields
- directionstring
One of
ascdescDefault
"asc"
Show 6 fieldsHide fields
- directionstring
One of
ascdescDefault
"asc" - orderstring[]
- hideEmptyboolean
Hide groups with no rows (board columns).
- dateBucketstring
Date grouping; default month.
One of
dayweekmonthyear - collapsedstring[]
Board swimlanes.
Show 6 fieldsHide fields
- directionstring
One of
ascdescDefault
"asc" - orderstring[]
- hideEmptyboolean
Hide groups with no rows (board columns).
- dateBucketstring
Date grouping; default month.
One of
dayweekmonthyear - collapsedstring[]
- columnsViewColumnInput[]
Show 3 fieldsHide fields
- visibleboolean
Default
true
- summariesobject
propertyId → summary name
- layoutViewLayoutInput
Show 11 fieldsHide fields
- rowHeightstring
table
One of
shortmediumtallextra - wrapCellsboolean
table
board, gallery: px
board, gallery: the card image
- coverFitstring
One of
covercontain - markersstring
list
One of
bulletnumbernone calendar: the date property placing rows
- calendarModestring
One of
monthweek - showWeekendsboolean
- colorColumnsboolean
board
- extraobject
- removestring[]
Default
[]
Response
- idULID
- propertiesobject[]
- viewsobject[]
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"properties": [
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"name": "Notes",
"type": "title",
"key": "string"
}
],
"views": [
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"name": "Notes",
"type": "table"
}
]
}Errors use one envelope for every endpoint. See Errors and versions.